#include <Keyboard.h>

struct Action
{
  int keyID;
  int keyModifierID;
};

Action modes[][15] =
{
  {
    {KEY_MEDIA_PREV_TRACK, -1},
    {KEY_MEDIA_PLAY_PAUSE, -1},
    {KEY_MEDIA_NEXT_TRACK, -1},
    {KEY_F16, -1},
    {KEY_F17, -1},
    {KEY_F18, -1},
    {KEY_F19, -1},
    {KEY_F20, -1},
    {KEY_F21, -1},
    {KEY_F22, -1},
    {KEY_F23, -1},
    {-1, -1}, //menu
    {KEY_MEDIA_VOLUME_DEC, -1},
    {KEY_MEDIA_VOLUME_INC, -1},
    {KEY_MEDIA_MUTE, -1}
  },
  {
    {KEY_F13, -1},
    {KEY_F14, -1},
    {KEY_F15, -1},
    {KEY_F16, -1},
    {KEY_F17, -1},
    {KEY_F18, -1},
    {KEY_F19, -1},
    {KEY_F20, -1},
    {KEY_F21, -1},
    {KEY_F22, -1},
    {KEY_F23, -1},
    {-1, -1}, //menu
    {KEYPAD_MINUS, -1},
    {KEYPAD_PLUS, -1},
    {KEYPAD_ENTER, -1}
  },
  {
    {KEY_F13, MODIFIERKEY_CTRL},
    {KEY_F14, MODIFIERKEY_CTRL},
    {KEY_F15, MODIFIERKEY_CTRL},
    {KEY_F16, MODIFIERKEY_CTRL},
    {KEY_F17, MODIFIERKEY_CTRL},
    {KEY_F18, MODIFIERKEY_CTRL},
    {KEY_F19, MODIFIERKEY_CTRL},
    {KEY_F20, MODIFIERKEY_CTRL},
    {KEY_F21, MODIFIERKEY_CTRL},
    {KEY_F22, MODIFIERKEY_CTRL},
    {KEY_F23, MODIFIERKEY_CTRL},
    {-1, -1}, //menu
    {KEYPAD_MINUS, MODIFIERKEY_CTRL},
    {KEYPAD_PLUS, MODIFIERKEY_CTRL},
    {KEYPAD_ENTER, MODIFIERKEY_CTRL}
  }
};
